#
# spec file for package OpenOffice_org-branding-openSUSE (Version 3.0)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# norootforbuild


Name:           OpenOffice_org-branding-Linkat
%define	        ooo_prefix	%_datadir
%define	        ooo_home	ooo3
Version:        3.0
Release:        34.1
Group:          Productivity/Office/Suite
License:        BSD 3-clause (or similar)
Summary:        Linkat Branding for OpenOffice.org
Supplements:    packageand(branding-Linkat:OpenOffice_org)
Provides:       OpenOffice_org-branding = %version
Conflicts:      otherproviders(OpenOffice_org-branding)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Vendor:		linkat

%description
This package includes the Linkat branding for the OpenOffice.org
office suite.

%prep
%setup -q -T -c %{name}-%{version}
cp -a $RPM_SOURCE_DIR/OpenOffice_org-branding-Linkat-about.bmp about.bmp
cp -a $RPM_SOURCE_DIR/OpenOffice_org-branding-Linkat-intro.bmp intro.bmp

%build

%install
install -m 0755 -d $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/program
install -m 0644 intro.bmp $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/program/
install -m 0644 about.bmp $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/program/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%ooo_prefix/%ooo_home

%changelog
* Wed Mar 24 2010 dlara@espherica.com
- Changed openSUSE splash with Linkat splash
* Thu Sep 24 2009 pmladek@suse.cz
- updated with the openSUSE-11.2 style (bnc#540728)
- made the source package universal for the BS project; it still provides the
  old branding when built on older distributions
* Mon Oct 13 2008 pmladek@suse.cz
- updated with the openSUSE-11.1 style (bnc#434787)
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Tue Aug 12 2008 pmladek@suse.cz
- updated to the OOo-3.0 branding; still the openSUSE-11.0 style [bnc#409144]
* Wed Jul 23 2008 pmladek@suse.cz
- updated for OOo-3.0 prefix
* Fri Apr 25 2008 pmladek@suse.cz
- updated to the openSUSE-11.0 style
* Mon Apr 14 2008 pmladek@suse.cz
- made it noarch package; OOo started to search the icons in /usr/share;
  thanks Coolo for the hint
- fixed dependency; it should get installed when both this branding and
  the OpenOffice_org package are requested
- switched to the suggested BSD-like license (bnc#373602)
* Wed Apr  2 2008 coolo@suse.de
- building the package after OOo delays the whole media creation
  several hours, so not really worth it for directory ownership
* Fri Mar 28 2008 pmladek@suse.cz
- package created
- used the old branding for openSUSE-10.3
